For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
      • GETGet account info v1
      • GETGet account info v2
  • Bot Defender API
  • Credential Intelligence API
  • Code Defender API
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Account Defender APIAccount Info

Get account info v1

GET
/v1/account_defender/account/:account_id
GET
/api/v1/account_defender/account/:account_id
$curl https://console.humansecurity.com/api/v1/account_defender/account/123456789 \
> -H "Authorization: Bearer <token>"
1{
2 "account_id": "123456789",
3 "is_under_attack": true,
4 "is_manually_created": true,
5 "risk_score": 1,
6 "exists": true
7}

Access the attack status and risk score of an account on your application.

This endpoint will be deprecated in a few months. We recommend transitioning to our v2 Account Info API

Was this page helpful?
Previous

Get account info v2

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired
ID for an account

Query parameters

attack_typeslist of enumsOptional

The type(s) of attack(s) to check for on the account.

  • If the parameter is not sent, then all available attack types will be checked. The returned response will be based on your available attack types.

  • If two attack_types are sent, then the response will prioritize returning the attack with a Pending status.

    • If both are Pending, then the response will return the attack with the higher risk score.

    • Otherwise, the response will return the Resolved or Archived attack with the highest risk score.

For example, if the account has a Pending attack with a risk score of 60 and an Archived attack with a risk score of 100, then the response will return the Pending attack.

Allowed values:

Response

Success
account_idstring
The ID for the account.
is_under_attackboolean

The status for the attack corresponding to the statuses displayed in the Account Defender portal.

true corresponds to Pending attacks.

false corresponds to:

  • Resolved or Archived attacks
  • The account does not exist
  • The account exists, but was never under attack.
is_manually_createdboolean

Whether the account was manually changed to be under attack. This response is only returned if the value is true.

risk_scoreinteger0-100
The risk score for the attack.
existsboolean
Whether the requested account exists.

Errors

400
Bad Request Error
401
Unauthorized Error